.TH man 1 "04 August 2017" "1.2.0" "gtts-cli manpage"
.SH NAME
gtts-cli \- convert text to mp3
.SH SYNOPSIS
gtts-cli [-h | --help] (["text to speak"] | -f FILE | --file FILE) [-o DESTINATION_FILE | --destination DESTINATION_FILE] [-l LANG | --lang LANG] [--slow] [--debug]
.SH DESCRIPTION
Create an mp3 file from your text with the gtts-cli command line utility. It allows unlimited lengths to be spoken by tokenizing long sentences where the speech would naturally pause.
.SH OPTIONS
.TP
.B [-h | --help]
Prints a help message and exits.
.TP
.B (["text to speak"] | -f FILE | --file FILE)
If given text in quotes, generates an mp3 with that text spoken. With -f FILE, generates the mp3 with the text from FILE.
.TP
.B (-o DESTINATION_FILE | --destination DESTINATION_FILE)
The file to write the generated mp3 to. If not given, writes to stdout (probably not what you want!)
.TP
.B (-l LANG | --lang LANG)
Which language to speak the given text in.
Supported languages are:
.TP
* 'af' : 'Afrikaans'
.TP
* 'sq' : 'Albanian'
.TP
* 'ar' : 'Arabic'
.TP
* 'hy' : 'Armenian'
.TP
* 'bn' : 'Bengali'
.TP
* 'ca' : 'Catalan'
.TP
* 'zh' : 'Chinese'
.TP
* 'zh-cn' : 'Chinese (Mandarin/China)'
.TP
* 'zh-tw' : 'Chinese (Mandarin/Taiwan)'
.TP
* 'zh-yue' : 'Chinese (Cantonese)'
.TP
* 'hr' : 'Croatian'
.TP
* 'cs' : 'Czech'
.TP
* 'da' : 'Danish'
.TP
* 'nl' : 'Dutch'
.TP
* 'en' : 'English'
.TP
* 'en-au' : 'English (Australia)'
.TP
* 'en-uk' : 'English (United Kingdom)'
.TP
* 'en-us' : 'English (United States)'
.TP
* 'eo' : 'Esperanto'
.TP
* 'fi' : 'Finnish'
.TP
* 'fr' : 'French'
.TP
* 'de' : 'German'
.TP
* 'el' : 'Greek'
.TP
* 'hi' : 'Hindi'
.TP
* 'hu' : 'Hungarian'
.TP
* 'is' : 'Icelandic'
.TP
* 'id' : 'Indonesian'
.TP
* 'it' : 'Italian'
.TP
* 'ja' : 'Japanese'
.TP
* 'km' : 'Khmer (Cambodian)'
.TP
* 'ko' : 'Korean'
.TP
* 'la' : 'Latin'
.TP
* 'lv' : 'Latvian'
.TP
* 'mk' : 'Macedonian'
.TP
* 'no' : 'Norwegian'
.TP
* 'pl' : 'Polish'
.TP
* 'pt' : 'Portuguese'
.TP
* 'ro' : 'Romanian'
.TP
* 'ru' : 'Russian'
.TP
* 'sr' : 'Serbian'
.TP
* 'si' : 'Sinhala'
.TP
* 'sk' : 'Slovak'
.TP
* 'es' : 'Spanish'
.TP
* 'es-es' : 'Spanish (Spain)'
.TP
* 'es-us' : 'Spanish (United States)'
.TP
* 'sw' : 'Swahili'
.TP
* 'sv' : 'Swedish'
.TP
* 'ta' : 'Tamil'
.TP
* 'th' : 'Thai'
.TP
* 'tr' : 'Turkish'
.TP
* 'uk' : 'Ukrainian'
.TP
* 'vi' : 'Vietnamese'
.TP
* 'cy' : 'Welsh'
.TP
.B --slow
Slower read speed for the text.
.TP
.B --debug
Print debug statements.
.SH EXAMPLES
Read the string 'Hello' in English to hello.mp3
.PP
.nf
.RS
gtts-cli "Hello" -l 'en' -o hello.mp3
.RE
.fi
.PP
Read the string 'Hello' in English (slow speed) to hello.mp3
.PP
.nf
.RS
gtts-cli "Hello" -l 'en' -o hello.mp3 --slow
.RE
.fi
.PP
Read the contents of file 'hello.txt' in Czech to hello.mp3:
.PP
.nf
.RS
gtts-cli -f hello.txt -l 'cs' -o hello.mp3
.RE
.fi
.PP
Read the string 'Hello' from stdin in English to hello.mp3
.PP
.nf
.RS
echo "Hello" | gtts-cli -l 'en' -o hello.mp3 -
.RE
.fi
.PP
.SH SEE ALSO
.SH BUGS
No known bugs.
.SH AUTHOR
Ethan Ward <ethan.ward@mycroft.ai>
